/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.tag;

import org.spongepowered.api.ResourceKey;
import org.spongepowered.api.Sponge;
import org.spongepowered.api.item.ItemType;
import org.spongepowered.api.registry.DefaultedRegistryReference;
import org.spongepowered.api.registry.RegistryKey;
import org.spongepowered.api.registry.RegistryScope;
import org.spongepowered.api.registry.RegistryScopes;
import org.spongepowered.api.registry.RegistryTypes;

/**
 * <!-- This file is automatically generated. Any manual changes will be overwritten. -->
 */
@SuppressWarnings("unused")
@RegistryScopes(scopes = RegistryScope.GAME)
public final class ItemTypeTags {

    // @formatter:off
    public static final DefaultedRegistryReference<Tag<ItemType>> ACACIA_LOGS = ItemTypeTags.key(ResourceKey.minecraft("acacia_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> ANVIL = ItemTypeTags.key(ResourceKey.minecraft("anvil"));

    public static final DefaultedRegistryReference<Tag<ItemType>> ARROWS = ItemTypeTags.key(ResourceKey.minecraft("arrows"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BANNERS = ItemTypeTags.key(ResourceKey.minecraft("banners"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BEACON_PAYMENT_ITEMS = ItemTypeTags.key(ResourceKey.minecraft("beacon_payment_items"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BEDS = ItemTypeTags.key(ResourceKey.minecraft("beds"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BIRCH_LOGS = ItemTypeTags.key(ResourceKey.minecraft("birch_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BOATS = ItemTypeTags.key(ResourceKey.minecraft("boats"));

    public static final DefaultedRegistryReference<Tag<ItemType>> BUTTONS = ItemTypeTags.key(ResourceKey.minecraft("buttons"));

    public static final DefaultedRegistryReference<Tag<ItemType>> CARPETS = ItemTypeTags.key(ResourceKey.minecraft("carpets"));

    public static final DefaultedRegistryReference<Tag<ItemType>> COALS = ItemTypeTags.key(ResourceKey.minecraft("coals"));

    public static final DefaultedRegistryReference<Tag<ItemType>> CREEPER_DROP_MUSIC_DISCS = ItemTypeTags.key(ResourceKey.minecraft("creeper_drop_music_discs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> CRIMSON_STEMS = ItemTypeTags.key(ResourceKey.minecraft("crimson_stems"));

    public static final DefaultedRegistryReference<Tag<ItemType>> DARK_OAK_LOGS = ItemTypeTags.key(ResourceKey.minecraft("dark_oak_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> DOORS = ItemTypeTags.key(ResourceKey.minecraft("doors"));

    public static final DefaultedRegistryReference<Tag<ItemType>> FENCES = ItemTypeTags.key(ResourceKey.minecraft("fences"));

    public static final DefaultedRegistryReference<Tag<ItemType>> FISHES = ItemTypeTags.key(ResourceKey.minecraft("fishes"));

    public static final DefaultedRegistryReference<Tag<ItemType>> FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("flowers"));

    public static final DefaultedRegistryReference<Tag<ItemType>> GOLD_ORES = ItemTypeTags.key(ResourceKey.minecraft("gold_ores"));

    public static final DefaultedRegistryReference<Tag<ItemType>> JUNGLE_LOGS = ItemTypeTags.key(ResourceKey.minecraft("jungle_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> LEAVES = ItemTypeTags.key(ResourceKey.minecraft("leaves"));

    public static final DefaultedRegistryReference<Tag<ItemType>> LECTERN_BOOKS = ItemTypeTags.key(ResourceKey.minecraft("lectern_books"));

    public static final DefaultedRegistryReference<Tag<ItemType>> LOGS = ItemTypeTags.key(ResourceKey.minecraft("logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> LOGS_THAT_BURN = ItemTypeTags.key(ResourceKey.minecraft("logs_that_burn"));

    public static final DefaultedRegistryReference<Tag<ItemType>> MUSIC_DISCS = ItemTypeTags.key(ResourceKey.minecraft("music_discs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> NON_FLAMMABLE_WOOD = ItemTypeTags.key(ResourceKey.minecraft("non_flammable_wood"));

    public static final DefaultedRegistryReference<Tag<ItemType>> OAK_LOGS = ItemTypeTags.key(ResourceKey.minecraft("oak_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> PIGLIN_LOVED = ItemTypeTags.key(ResourceKey.minecraft("piglin_loved"));

    public static final DefaultedRegistryReference<Tag<ItemType>> PIGLIN_REPELLENTS = ItemTypeTags.key(ResourceKey.minecraft("piglin_repellents"));

    public static final DefaultedRegistryReference<Tag<ItemType>> PLANKS = ItemTypeTags.key(ResourceKey.minecraft("planks"));

    public static final DefaultedRegistryReference<Tag<ItemType>> RAILS = ItemTypeTags.key(ResourceKey.minecraft("rails"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SAND = ItemTypeTags.key(ResourceKey.minecraft("sand"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SAPLINGS = ItemTypeTags.key(ResourceKey.minecraft("saplings"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SIGNS = ItemTypeTags.key(ResourceKey.minecraft("signs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SLABS = ItemTypeTags.key(ResourceKey.minecraft("slabs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SMALL_FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("small_flowers"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SOUL_FIRE_BASE_BLOCKS = ItemTypeTags.key(ResourceKey.minecraft("soul_fire_base_blocks"));

    public static final DefaultedRegistryReference<Tag<ItemType>> SPRUCE_LOGS = ItemTypeTags.key(ResourceKey.minecraft("spruce_logs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> STAIRS = ItemTypeTags.key(ResourceKey.minecraft("stairs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> STONE_BRICKS = ItemTypeTags.key(ResourceKey.minecraft("stone_bricks"));

    public static final DefaultedRegistryReference<Tag<ItemType>> STONE_CRAFTING_MATERIALS = ItemTypeTags.key(ResourceKey.minecraft("stone_crafting_materials"));

    public static final DefaultedRegistryReference<Tag<ItemType>> STONE_TOOL_MATERIALS = ItemTypeTags.key(ResourceKey.minecraft("stone_tool_materials"));

    public static final DefaultedRegistryReference<Tag<ItemType>> TALL_FLOWERS = ItemTypeTags.key(ResourceKey.minecraft("tall_flowers"));

    public static final DefaultedRegistryReference<Tag<ItemType>> TRAPDOORS = ItemTypeTags.key(ResourceKey.minecraft("trapdoors"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WALLS = ItemTypeTags.key(ResourceKey.minecraft("walls"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WARPED_STEMS = ItemTypeTags.key(ResourceKey.minecraft("warped_stems"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_BUTTONS = ItemTypeTags.key(ResourceKey.minecraft("wooden_buttons"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_DOORS = ItemTypeTags.key(ResourceKey.minecraft("wooden_doors"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_FENCES = ItemTypeTags.key(ResourceKey.minecraft("wooden_fences"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_PRESSURE_PLATES = ItemTypeTags.key(ResourceKey.minecraft("wooden_pressure_plates"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_SLABS = ItemTypeTags.key(ResourceKey.minecraft("wooden_slabs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_STAIRS = ItemTypeTags.key(ResourceKey.minecraft("wooden_stairs"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOODEN_TRAPDOORS = ItemTypeTags.key(ResourceKey.minecraft("wooden_trapdoors"));

    public static final DefaultedRegistryReference<Tag<ItemType>> WOOL = ItemTypeTags.key(ResourceKey.minecraft("wool"));

    // @formatter:on
    private ItemTypeTags() {
    }

    private static DefaultedRegistryReference<Tag<ItemType>> key(final ResourceKey location) {
        return RegistryKey.of(RegistryTypes.ITEM_TYPE_TAGS, location).asDefaultedReference(Sponge::game);
    }
}
